[Git][qa/jenkins.debian.net][master] 2 commits: rdn: add a lot more configs bits for loong64

Holger Levsen (@holger) gitlab at salsa.debian.org
Thu May 28 14:54:05 BST 2026



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
e5bd5754 by Holger Levsen at 2026-05-28T15:52:56+02:00
rdn: add a lot more configs bits for loong64

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
f9570185 by Holger Levsen at 2026-05-28T15:53:36+02:00
jdn UDD jobs: add loong64

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


20 changed files:

- bin/common-functions.sh
- bin/debrebuild_cache_limiter.sh
- bin/djm-rebuildctlwatch
- bin/rebuilderd_manual_scheduler.sh
- bin/rebuilderd_pkgsync.sh
- bin/reproducible_maintenance.sh
- bin/reproducible_system_health.sh
- bin/udd-query.sh
- + hosts/common-loong64/etc/rebuilderd-worker/rebuilder-debian.sh
- + hosts/common-loong64/etc/rebuilderd-worker/rebuilderd-worker.conf
- + hosts/common-loong64/etc/systemd/system/rebuilderd-cache-cleanup.service
- + hosts/common-loong64/etc/systemd/system/rebuilderd-cache-cleanup.timer
- + hosts/common-loong64/etc/systemd/system/rebuilderd-worker at .service
- + hosts/common-loong64/etc/systemd/system/rebuilderd_boot_cleanup.service
- + hosts/common-loong64/usr/local/bin/diffoscope
- hosts/osuosl5-amd64/etc/cron.d/rebuilderd
- hosts/osuosl5-amd64/etc/dehydrated/domains.txt
- hosts/osuosl5-amd64/etc/nginx/nginx.conf
- + hosts/osuosl5-amd64/etc/rebuilderd/rebuilderd-loong64.conf
- + hosts/osuosl5-amd64/etc/rebuilderd/rebuilderd-sync-loong64.conf


Changes:

=====================================
bin/common-functions.sh
=====================================
@@ -1,7 +1,7 @@
 #!/bin/bash
 # vim: set noexpandtab:
 
-# Copyright 2014-2025 Holger Levsen <holger at layer-acht.org>
+# Copyright 2014-2026 Holger Levsen <holger at layer-acht.org>
 #         © 2018-2023 Mattia Rizzolo <mattia at mapreri.org>
 # released under the GPLv2
 
@@ -142,6 +142,9 @@ else
 		riscv64*)
 			# riscv64 nodes don't yet use a proxy
 			: ;;
+		loong64*)
+			# loong64 nodes don't yet use a proxy
+			: ;;
 		warren) : ;;  # warren is mattia's laptop
 		*)
 			echo "unsupported host, exiting." ; exit 1 ;;


=====================================
bin/debrebuild_cache_limiter.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# Copyright 2025 Holger Levsen (holger at layer-acht.org)
+# Copyright 2026 Holger Levsen (holger at layer-acht.org)
 # released under the GPLv2
 
 set -o pipefail
@@ -19,6 +19,7 @@ LIMIT=100
 case $HOSTNAME in
 	codethink*)		LIMIT=200  ;;
 	ionos*)			LIMIT=20  ;;
+	loong64*)		LIMIT=256 ;;
 	osuosl*-amd64)		LIMIT=50 ;;
 	osuosl*-ppc64el)	LIMIT=50 ;;
 	riscv64*)		LIMIT=180 ;;


=====================================
bin/djm-rebuildctlwatch
=====================================
@@ -26,8 +26,9 @@ set_globals_for_arch() {
 		armel)		PORT=8491 ;;
 		armhf)		PORT=8487 ;;
 		i386)		PORT=8485 ;;
-		riscv64)	PORT=8488 ;;
+		loong64)	PORT=8492 ;;
 		ppc64el)	PORT=8490 ;;
+		riscv64)	PORT=8488 ;;
 		*)		exit 1 ;;
 	esac
 }
@@ -39,19 +40,19 @@ set_arch_color() {
 	case "$1" in
 		*all*)			BG=turquoise ;;
 		*amd64*)		BG=lightgreen ;;
-		*i386*)			BG=lightblue ;;
 		*arm64*)		BG=orange ;;
 		*armel*)		BG=yellow ;;
 		*armhf*)		BG=gold ;;
+		*i386*)			BG=lightblue ;;
 		*loong64*)		BG=purple ;;
-		*riscv64*)		BG=orchid1 ;;
 		*ppc64el*)		BG=brown ;;
+		*riscv64*)		BG=orchid1 ;;
 		*)			BG=grey77 ;;
 	esac
 }
 
 
-for ARCH in all amd64 arm64 armel armhf i386 ppc64el riscv64 ; do
+for ARCH in all amd64 arm64 armel armhf i386 loong64 ppc64el riscv64 ; do
 	set_globals_for_arch $ARCH
 	set_arch_color $ARCH
 	COMMAND="watch -n 60 '$REBUILDCTL -H http://127.0.0.1:$PORT/ queue ls -C |sort -rk6'"


=====================================
bin/rebuilderd_manual_scheduler.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# Copyright 2025 Holger Levsen (holger at layer-acht.org)
+# Copyright 2025-2026 Holger Levsen (holger at layer-acht.org)
 # released under the GPLv2
 
 set -e
@@ -32,6 +32,8 @@ case $ARCH in
 			;;
 	i386)		PORT=8485
 			;;
+	loong64)	PORT=8492
+			;;
 	riscv64)	PORT=8488
 			;;
 	ppc64el)	PORT=8490


=====================================
bin/rebuilderd_pkgsync.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# Copyright 2025 Holger Levsen (holger at layer-acht.org)
+# Copyright 2025-2026 Holger Levsen (holger at layer-acht.org)
 # released under the GPLv2
 
 set -e
@@ -24,6 +24,8 @@ case $ARCH in
 			;;
 	i386)		PORT=8485
 			;;
+	loong64)	PORT=8492
+			;;
 	riscv64)	PORT=8488
 			;;
 	ppc64el)	PORT=8490


=====================================
bin/reproducible_maintenance.sh
=====================================
@@ -507,7 +507,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
 						*)		NODE="$NODE_ALIAS-amd64.debian.net" ;;
 					esac ;;
 			arm64)		NODE="codethink${NODE_ALIAS#codethink}-arm64.debian.net" ;;
-			riscv64)	NODE="${NODE_ALIAS}.debian.net" ;;
+			loong64|riscv64)	NODE="${NODE_ALIAS}.debian.net" ;;
 			ppc64el)	NODE="${NODE_ALIAS}-ppc64el.debian.net" ;;
 		esac
 		case "$NODE" in


=====================================
bin/reproducible_system_health.sh
=====================================
@@ -99,9 +99,9 @@ for JOB_NAME in $(ls -1d reproducible_* | sort ) ; do
 	if $REMOTE ; then
 		# sometimes the dns names are different than the jenkins names...
 		case $NODE_ARCH in
-			riscv64)	NODE="${NODE_ALIAS}.debian.net" ;;
-			ppc64el)	NODE="${NODE_ALIAS}.debian.net" ;;
-			*)		NODE="${NODE_ALIAS}-${NODE_ARCH}.debian.net" ;;
+			loong64|riscv64)	NODE="${NODE_ALIAS}.debian.net" ;;
+			ppc64el)		NODE="${NODE_ALIAS}-ppc64el.debian.net" ;;
+			*)			NODE="${NODE_ALIAS}-${NODE_ARCH}.debian.net" ;;
 		esac
 		# ignore jobs on known bad nodes:
 		# check the offline list from git (and the one updated by jenkins)


=====================================
bin/udd-query.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# Copyright 2012-2025 Holger Levsen <holger at layer-acht.org>
+# Copyright 2012-2026 Holger Levsen <holger at layer-acht.org>
 # multiarch_versionskew UDD query by Stuart Prescott <stuart at debian.org>
 # orphaned_without_o_bug by Johannes Schauer <j.schauer at email.de>
 # released under the GPLv2
@@ -30,7 +30,7 @@ multiarch_versionskew() {
 		DISTRO=$1
 	fi
 	case $DISTRO in
-		forky|sid)		RELEASE_ARCHS="('amd64', 'arm64', 'armhf', 'i386', 'ppc64el', 'riscv64', 's390x')" ;;
+		forky|sid)		RELEASE_ARCHS="('amd64', 'arm64', 'armhf', 'i386', 'loong64', 'ppc64el', 'riscv64', 's390x')" ;;
 		trixie)			RELEASE_ARCHS="('amd64', 'arm64', 'armel', 'armhf', 'i386', 'ppc64el', 'riscv64', 's390x')" ;;
 		bookworm)		RELEASE_ARCHS="('amd64', 'arm64', 'armel', 'armhf', 'i386', 'mips64el', 'ppc64el', 's390x')" ;;
 		*)			echo unknown distro ; exit 1 ;;


=====================================
hosts/common-loong64/etc/rebuilderd-worker/rebuilder-debian.sh
=====================================
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+set -e
+
+cat <<-EOF
+===============================================================================
+
+About this build: this rebuild has been done as part of reproduce.debian.net
+where we aim to reproduce Debian binary packages distributed via ftp.debian.org,
+by rebuilding using the exact same packages as the original build on the buildds,
+as described in the relevant .buildinfo file from buildinfos.debian.net.
+
+For more information please go to https://reproduce.debian.net or join
+#debian-reproducible on irc.debian.org
+
+===============================================================================
+
+EOF
+echo "Preparing download of sources for $1"
+SOURCE=$(basename "$1" | cut -d '_' -f1)
+# take VERSION from .buildinfo file (which has the epoch) but drop +bX suffix from binNMUs
+VERSION=$(grep ^Version: "$1" | cut -d ' ' -f2- | sed -r -e 's#\+b[[:digit:]]+$##g')
+echo "Source: $SOURCE"
+echo "Version: $VERSION"
+echo "rebuilderd-worker node: $(hostname)"
+echo
+echo "+------------------------------------------------------------------------------+"
+echo "| Downloading sources                          $(date -u -R) |"
+echo "+------------------------------------------------------------------------------+"
+echo
+
+cd "$(dirname "$1")"
+mkdir -p etc/apt
+mkdir -p var/lib/apt/lists/
+export TMPDIR=/srv/rebuilderd/tmp ; mkdir -p $TMPDIR ; chmod 777 $TMPDIR
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian trixie main non-free-firmware' > etc/apt/sources.list
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-trixie-security-automatic.gpg] https://deb.debian.org/debian-security trixie-security main non-free-firmware' >> etc/apt/sources.list
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian trixie-updates main non-free-firmware' >> etc/apt/sources.list
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian trixie-proposed-updates main non-free-firmware' >> etc/apt/sources.list
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian trixie-backports main non-free-firmware' >> etc/apt/sources.list
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian forky main non-free-firmware' >> etc/apt/sources.list
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian sid main non-free-firmware' >> etc/apt/sources.list
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian experimental main non-free-firmware' >> etc/apt/sources.list
+apt-get -o Dir=. update -q
+apt-get -o Dir=. source -qq --print-uris "$SOURCE=$VERSION"
+apt-get -o Dir=. source -qq --download-only "$SOURCE=$VERSION"
+dcmd sha256sum *.dsc
+
+echo
+echo "+------------------------------------------------------------------------------+"
+echo "| Calling debrebuild                           $(date -u -R) |"
+echo "+------------------------------------------------------------------------------+"
+echo
+echo "Rebuilding $SOURCE=$VERSION in $(pwd) now."
+set -x
+nice /usr/bin/debrebuild --buildresult="${REBUILDERD_OUTDIR}" --builder=sbuild+unshare --cache=/srv/rebuilderd/cache -- "${1}"
+set +x
+echo
+echo "+------------------------------------------------------------------------------+"
+echo "| Finished running debrebuild                  $(date -u -R) |"
+echo "+------------------------------------------------------------------------------+"
+


=====================================
hosts/common-loong64/etc/rebuilderd-worker/rebuilderd-worker.conf
=====================================
@@ -0,0 +1,29 @@
+## The rebuilderd to connect to
+endpoint = "https://reproduce.debian.net/loong64"
+supported_architectures = ["loong64"]
+
+## The server would either allowlist our key or require a signup secret
+signup_secret = "INSECURE"
+
+[build]
+timeout = 129600 # 36 hours
+## Set a maximum build log limit in bytes (default: none).
+## When reaching this limit the log is truncated but the rebuilder backend is *not* terminated.
+max_bytes = 20971520 # 20 MiB ## 10 MiB is upstream default
+## By default build output is forwarded to stdout/stderr.
+## This can be disabled by settings this to true.
+#silent = true
+
+[diffoscope]
+## Generate and attach diffs with diffoscope when rebuilding
+enabled = true
+## Pass additional arguments to diffoscope. Use wisely, some options might not work well.
+#args = ["--max-container-depth", "2", "--fuzzy-threshold", "0"]
+## Set a timeout in seconds after which diffoscope is terminated (default: 3600)
+timeout = 600 # 10 minutes
+## Set a maximum diffoscope output limit in bytes (default: none).
+## When reaching this limit, diffoscope is terminated and the output is truncated.
+max_bytes = 10485760 # 10 MiB
+
+[backend."debian"]
+path = "/etc/rebuilderd-worker/rebuilder-debian.sh"


=====================================
hosts/common-loong64/etc/systemd/system/rebuilderd-cache-cleanup.service
=====================================
@@ -0,0 +1,10 @@
+[Unit]
+Description=Periodically cleanup the cache used by rebuilderd
+
+[Service]
+User=rebuilderd
+Group=rebuilderd
+ExecStart=/srv/jenkins/bin/debrebuild_cache_limiter.sh
+RemainAfterExit=no
+Type=oneshot
+


=====================================
hosts/common-loong64/etc/systemd/system/rebuilderd-cache-cleanup.timer
=====================================
@@ -0,0 +1,8 @@
+[Unit]
+Description=Periodically cleanup the cache used by rebuilderd
+
+[Timer]
+OnCalendar=23:0:0
+
+[Install]
+WantedBy=timers.target


=====================================
hosts/common-loong64/etc/systemd/system/rebuilderd-worker at .service
=====================================
@@ -0,0 +1,16 @@
+[Unit]
+Description=rebuilderd-worker: rebuild packages
+After=rebuilderd_boot_cleanup.service
+
+[Service]
+User=rebuilderd
+Group=rebuilderd
+WorkingDirectory=/srv/rebuilderd/worker/%i
+Restart=always
+RestartSec=0
+ExecStart=/usr/local/usr/bin/rebuilderd-worker -c /etc/rebuilderd-worker/rebuilderd-worker.conf connect
+IOSchedulingClass=3
+Environment="TMPDIR=/srv/rebuilderd/tmp/"
+
+[Install]
+WantedBy=multi-user.target


=====================================
hosts/common-loong64/etc/systemd/system/rebuilderd_boot_cleanup.service
=====================================
@@ -0,0 +1,13 @@
+[Unit]
+Description=Run once at system boot to cleanup rebuilderd related files
+After=local-fs.target
+After=network.target
+#After=XXX
+
+[Service]
+ExecStart=/srv/jenkins/bin/rebuilderd_cleanup.sh
+RemainAfterExit=true
+Type=oneshot
+
+[Install]
+WantedBy=multi-user.target


=====================================
hosts/common-loong64/usr/local/bin/diffoscope
=====================================
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+# shellcheck disable=SC3045
+ulimit -v 1000000000 && exec /usr/bin/diffoscope "$@"


=====================================
hosts/osuosl5-amd64/etc/cron.d/rebuilderd
=====================================
@@ -1,3 +1,3 @@
 MAILTO=root
-42 */3 * * * rebuilderd for arch in all amd64 arm64 armel armhf i386 ppc64el riscv64 ; do for release in trixie trixie-proposed-updates trixie-updates trixie-security trixie-backports forky unstable experimental ; do mkdir -p /srv/rebuilderd/$arch/stats/$release && /srv/jenkins/bin/rebuilderd_stats.py $arch /srv/rebuilderd/$arch/rebuilderd.db $release --cache /srv/rebuilderd/$arch/stats/$release/cache.pickle /srv/rebuilderd/$arch/stats/$release ; /srv/jenkins/bin/rebuilderd_graph.sh $arch $release ; done ; done
+42 */3 * * * rebuilderd for arch in all amd64 arm64 armel armhf i386 loong64 ppc64el riscv64 ; do for release in trixie trixie-proposed-updates trixie-updates trixie-security trixie-backports forky unstable experimental ; do mkdir -p /srv/rebuilderd/$arch/stats/$release && /srv/jenkins/bin/rebuilderd_stats.py $arch /srv/rebuilderd/$arch/rebuilderd.db $release --cache /srv/rebuilderd/$arch/stats/$release/cache.pickle /srv/rebuilderd/$arch/stats/$release ; /srv/jenkins/bin/rebuilderd_graph.sh $arch $release ; done ; done
 


=====================================
hosts/osuosl5-amd64/etc/dehydrated/domains.txt
=====================================
@@ -5,5 +5,6 @@ i386.reproduce.debian.net
 arm64.reproduce.debian.net
 armhf.reproduce.debian.net
 armel.reproduce.debian.net
+loong64.reproduce.debian.net
 riscv64.reproduce.debian.net
 ppc64el.reproduce.debian.net


=====================================
hosts/osuosl5-amd64/etc/nginx/nginx.conf
=====================================
@@ -18,12 +18,13 @@ http {
         server_name     all.reproduce.debian.net;
         server_name     reproduce.debian.net;
         server_name     amd64.reproduce.debian.net;
-        server_name     i386.reproduce.debian.net;
         server_name     arm64.reproduce.debian.net;
         server_name     armel.reproduce.debian.net;
         server_name     armhf.reproduce.debian.net;
-        server_name     riscv64.reproduce.debian.net;
+        server_name     i386.reproduce.debian.net;
         server_name     ppc64el.reproduce.debian.net;
+        server_name     loong64.reproduce.debian.net;
+        server_name     riscv64.reproduce.debian.net;
         location /.well-known/acme-challenge/ {
             alias /var/lib/dehydrated/acme-challenges/;
             disable_symlinks off;
@@ -143,18 +144,18 @@ http {
             alias /srv/rebuilderd/i386/stats/ ;
             disable_symlinks off;
         }
-        # riscv64
-        location /riscv64/api/ {
+        # loong64
+        location /loong64/api/ {
             proxy_set_header    X-Real-IP          $remote_addr;
-            proxy_pass http://127.0.0.1:8488/api/;
+            proxy_pass http://127.0.0.1:8492/api/;
         }
-        location = /riscv64/api/v1/builds {
+        location = /loong64/api/v1/builds {
             client_max_body_size 200M;
             proxy_set_header    X-Real-IP          $remote_addr;
-            proxy_pass http://127.0.0.1:8488/api/v1/builds;
+            proxy_pass http://127.0.0.1:8492/api/v1/builds;
         }
-        location /riscv64/stats/ {
-            alias /srv/rebuilderd/riscv64/stats/ ;
+        location /loong64/stats/ {
+            alias /srv/rebuilderd/loong64/stats/ ;
             disable_symlinks off;
         }
         # ppc64el
@@ -171,6 +172,20 @@ http {
             alias /srv/rebuilderd/ppc64el/stats/ ;
             disable_symlinks off;
         }
+        # riscv64
+        location /riscv64/api/ {
+            proxy_set_header    X-Real-IP          $remote_addr;
+            proxy_pass http://127.0.0.1:8488/api/;
+        }
+        location = /riscv64/api/v1/builds {
+            client_max_body_size 200M;
+            proxy_set_header    X-Real-IP          $remote_addr;
+            proxy_pass http://127.0.0.1:8488/api/v1/builds;
+        }
+        location /riscv64/stats/ {
+            alias /srv/rebuilderd/riscv64/stats/ ;
+            disable_symlinks off;
+        }
     }
 
     server {
@@ -327,13 +342,13 @@ http {
     }
 
     server {
-        server_name     riscv64.reproduce.debian.net;
+        server_name     loong64.reproduce.debian.net;
         ssi on;
         root /var/www/html;
         listen 443 ssl;
         listen [::]:443 ssl;
-        ssl_certificate /var/lib/dehydrated/certs/riscv64.reproduce.debian.net/fullchain.pem;
-        ssl_certificate_key /var/lib/dehydrated/certs/riscv64.reproduce.debian.net/privkey.pem;
+        ssl_certificate /var/lib/dehydrated/certs/loong64.reproduce.debian.net/fullchain.pem;
+        ssl_certificate_key /var/lib/dehydrated/certs/loong64.reproduce.debian.net/privkey.pem;
         ssl_session_cache shared:le_nginx_SSL:10m;
         ssl_session_timeout 1440m;
         ssl_session_tickets off;
@@ -347,7 +362,7 @@ http {
             autoindex off;
         }
         location / {
-            return 301 https://reproduce.debian.net/riscv64$request_uri;
+            return 301 https://reproduce.debian.net/loong64$request_uri;
         }
     }
 
@@ -376,6 +391,31 @@ http {
         }
     }
 
+    server {
+        server_name     riscv64.reproduce.debian.net;
+        ssi on;
+        root /var/www/html;
+        listen 443 ssl;
+        listen [::]:443 ssl;
+        ssl_certificate /var/lib/dehydrated/certs/riscv64.reproduce.debian.net/fullchain.pem;
+        ssl_certificate_key /var/lib/dehydrated/certs/riscv64.reproduce.debian.net/privkey.pem;
+        ssl_session_cache shared:le_nginx_SSL:10m;
+        ssl_session_timeout 1440m;
+        ssl_session_tickets off;
+        ssl_protocols TLSv1.2 TLSv1.3;
+        ssl_prefer_server_ciphers off;
+        ssl_ciphers "ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-C
+        HACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384";
+        location /.well-known/acme-challenge/ {
+            alias /var/lib/dehydrated/acme-challenges/;
+            disable_symlinks off;
+            autoindex off;
+        }
+        location / {
+            return 301 https://reproduce.debian.net/riscv64$request_uri;
+        }
+    }
+
     server {
         listen 127.0.0.1;
         listen [::1];


=====================================
hosts/osuosl5-amd64/etc/rebuilderd/rebuilderd-loong64.conf
=====================================
@@ -0,0 +1,45 @@
+## Configuration for http daemon
+[http]
+## The address to bind to. This is 127.0.0.1:8484 by default.
+bind_addr = "127.0.0.1:8492"
+## If you use a reverse proxy, use this header instead of the actual connecting ip.
+## Make sure the reverse proxy has filters in place to prevent spoofing issues.
+#real_ip_header = "X-Real-IP"
+## Set a default endpoint for rebuildctl. This is especially useful for the sync timer.
+#endpoint = "http://127.0.0.1:8484"
+
+## A random cookie for administration is generated at startup and written to /var/lib/rebuilderd/auth-cookie
+## You can set this to a fixed value here. Use `pwgen -1s 32` to generate one.
+## rebuildctl is searching for this cookie in ~/.config/rebuilderd.conf, /etc/rebuilderd.conf and
+## /var/lib/rebuilderd/auth-cookie in that order.
+[auth]
+#cookie = "INSECURE"
+
+## The auth cookie above is only used for the default endpoint.
+## You can use different endpoints with `rebuildctl -H https://rebuilder.example.com status`,
+## In that case you need to configure a section below if you want to attach a cookie.
+#[endpoints."https://rebuilder.example.com"]
+#cookie = "INSECURE"
+
+## IMPORTANT: in production, make sure either `authorized_workers` or `signup_secret` is configured.
+[worker]
+## If we have a fixed set of workers we can allow-list the keys here.
+#authorized_workers = ["key1", "key2"]
+## If we want to spawn new workers dynamically we can configure a sign up secret below.
+## Use `pwgen -1s 32` to generate one.
+signup_secret = "INSECURE"
+
+[schedule]
+## Configure the delay to automatically retry failed rebuilds in hours. The
+## default is 24h, this base is multiplied with the number of rebuilds, so the
+## first retry would happen after 24h, the second retry would happen 48h after the
+## first retry and the third retry would happen 72h after the second retry. There
+## is no upper limit of retries, if you can't afford frequent retries it's
+## recommended to set this to a high value like 168 (1 week) or higher.
+## Successful rebuilds are not retried.
+#retry_delay_base = 24
+
+## Configure the maximum number of times an unreproducible package will be retried (0 to N). There is no default upper
+## limit.
+max_retries = 3
+


=====================================
hosts/osuosl5-amd64/etc/rebuilderd/rebuilderd-sync-loong64.conf
=====================================
@@ -0,0 +1,22 @@
+[profile."debian"]
+distro = "debian"
+components = [ "main", "non-free-firmware", "main/debian-installer" ]
+architectures = ["loong64"]
+releases = [
+    #"trixie",
+    #"trixie-backports",
+    #"trixie-proposed-updates",
+    #"trixie-updates",
+    "forky",
+    "unstable",
+    "experimental",
+    #{ name = "trixie-debug", source = "http://deb.debian.org/debian-debug" },
+    #{ name = "trixie-backports-debug", source = "http://deb.debian.org/debian-debug" },
+    #{ name = "trixie-proposed-updates-debug", source = "http://deb.debian.org/debian-debug" },
+    #{ name = "forky-debug", source = "http://deb.debian.org/debian-debug" },
+    #{ name = "unstable-debug", source = "http://deb.debian.org/debian-debug" },
+    #{ name = "experimental-debug", source = "http://deb.debian.org/debian-debug" },
+    #{ name = "trixie-security", source = "http://security.debian.org/" }
+]
+source = "http://deb.debian.org/debian"
+#excludes = ["tensorflow*"]



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/d378d3161dcc06265a18cd3a1ea3757070a9bab4...f95701852573ae624db2540ffab05a45ce17681e

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/d378d3161dcc06265a18cd3a1ea3757070a9bab4...f95701852573ae624db2540ffab05a45ce17681e
You're receiving this email because of your account on salsa.debian.org. Manage all notifications: https://salsa.debian.org/-/profile/notifications | Help: https://salsa.debian.org/help


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20260528/e0e6103a/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list